<!doctype html>
<html>
  <head>
    <title>Příklady PHP</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="ukazky.css">
    <link rel="stylesheet" href="formulare.css">
  </head>
  <body>
  <div>
    <header>PHP administrace - databáze výrobky</header>
    <nav><?php include "menu.php"; ?></nav>
    <article>
    <h1>Smazání zvoleného záznamu</h1>
    <?php
    include 'spojeni.php'; // 1 - vytvoření objektu $spojeni a 2 - nastavení UTF-8

    if(!isset($_POST["smazat"])) {  // 3 - zjištění zda byl odeslán formulář - metoda POST, smazat je name odesílacího tlačítka
      // když $_POST["smazat"] neexistuje - formulář ještě nebyl odeslán - načtení a zobrazení záznamu
      // 3.1 - připravení dotazu s podmínkou pro id - načtení daného záznamu
      $dotaz=$spojeni->prepare("SELECT kategorie.kategorie,vyrobci.nazev,vyrobky.nazev,cena,skladem,stav,popis FROM vyrobky JOIN kategorie ON vyrobky.id_kategorie=kategorie.id JOIN vyrobci ON vyrobky.id_vyrobce=vyrobci.id WHERE vyrobky.id=? LIMIT 1");
      $dotaz->bind_param("i",$_GET["id"]);  // 3.2 - přiřazení parametru $_GET["id"] do podmínky
      $dotaz->bind_result($kategorie,$znacka,$nazev,$cena,$skladem,$stav,$popis); // 3.3 - přiřazení výstupních proměnných
      $dotaz->execute();  // 3.4 - spuštění dotazu
      $dotaz->fetch();    // 3.5 - načtení záznamu do výstupních proměnných - bez cyklu (1 záznam)
      $dotaz->close();    // 3.6 - uzavření dotazu
      // 3.7 - vypsání údajů a vytvoření formuláře s tlačítkem Smazat
      echo "<h2>$nazev - $cena Kč</h2>";
      echo "<p>$kategorie - $znacka</p>";
      if($skladem==1){echo "<p>Zboží je skladem</p>";} else {echo "<p>Zboží není skladem</p>";}
      switch($stav){
        case 'n': echo "<p>Nové zboží</p>"; break;
        case 'r': echo "<p>Rozbalené zboží</p>"; break;
        case 'o': echo "<p>Opravené zboží</p>"; break;
        case 'v': echo "<p>Vystavené zboží</p>"; break;
      }
      echo "<p>$popis</p>";
      echo "<form method='post'>
            <a href='vypis_administrace.php'>Zpět</a>
            <input type='submit' name='smazat' value='Smazat'>
            </form>";
    } // konec části 3
    else {
      //formulář byl odeslán - smazat - name odesílacího tlačítka
      // 4.3 - připravení dotazu pro smazání záznamu s daným id
      $dotaz=$spojeni->prepare("DELETE FROM vyrobky WHERE id=?");
      // 4.4 - přiřazení vstupního parametru id
      $dotaz->bind_param("i",$_GET["id"]);
      // 4.5 - spuštění dotazu - v podmínce - pokud se provede, vrací true
      if($dotaz->execute()) {echo "<h2>Záznam byl smazán</h2>\n"; }
      else {echo "<h2 class='chyba'>Záznam nebyl smazán</h2>\n";}
      // 4.6 uzavření dotazu
      $dotaz->close();
      // 4.7 - odkaz zpět na výpis
      echo "<p><a href='vypis_administrace.php'>«&nbsp;Zpět na výpis</a></p>";
      }
    ?>
    </article>
  </div>
  </body>
</html>
