<!doctype html>
<html>
  <head>
    <title>Příklady PHP</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="ukazky.css">
    <link rel="stylesheet" href="formulare.css">
  </head>
  <body>
  <div>
    <header>PHP administrace - databáze výrobky</header>
    <nav><?php include "menu.php"; ?></nav>
    <article>
    <h1>Zobrazení uložených údajů zvoleného záznamu</h1>
    <?php
    include 'spojeni.php';

    $_GET["id"]=$spojeni->real_escape_string($_GET["id"]);  //ošetření proti SQL injection
    $dotaz=$spojeni->prepare("SELECT kategorie.kategorie,vyrobci.nazev AS znacka,vyrobky.nazev,cena,skladem,stav,popis FROM vyrobky JOIN kategorie ON vyrobky.id_kategorie=kategorie.id JOIN vyrobci ON vyrobky.id_vyrobce=vyrobci.id WHERE vyrobky.id={$_GET["id"]} LIMIT 1");
    $dotaz->bind_result($kategorie,$znacka,$nazev,$cena,$skladem,$stav,$popis);
    $dotaz->execute();
    $dotaz->fetch();
    echo "<h2>$nazev - ".number_format($cena,0,","," ")." Kč</h2>";  //number_format - formát čísla s 0 desetinnými místy a oddělením tisíců mezerou
    echo "<p>".ucfirst($kategorie)." - $znacka</p>";
    if($skladem==1){echo "<p>Zboží je skladem</p>";} else {echo "<p>Zboží není skladem</p>";}
    switch($stav){
      case 'n': echo "<p>Nové zboží</p>"; break;
      case 'r': echo "<p>Rozbalené zboží</p>"; break;
      case 'o': echo "<p>Opravené zboží</p>"; break;
      case 'v': echo "<p>Vystavené zboží</p>"; break;
    }
    $nahradit=array(" k "," s "," v "," z "," u "," a "," i "," K "," S "," V "," U "," Z "," A "," I ");
    $cim=array(" k&nbsp;"," s&nbsp;"," v&nbsp;"," z&nbsp;"," u&nbsp;"," a&nbsp;"," i&nbsp;"," K&nbsp;"," S&nbsp;"," V&nbsp;"," U&nbsp;"," Z&nbsp;"," A&nbsp;"," I&nbsp;");
    echo "<p>".str_replace($nahradit,$cim,$popis)."</p>"; //str_replace - nahrazení předložek předložkami s pevnou mezerou
    echo "<p><a href='upraveni.php?id={$_GET["id"]}' class='tlacitko'>Upravit záznam</a></p>";
    echo "<p><a href='vypis_administrace.php'>«&nbsp;Zpět na výpis</a></p>";
    ?>
    </article>
  </div>
  </body>
</html>
